VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 1  'vbDataSource
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clImageHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Public ObjectImageDir As String, NodeImageDir As String
'local variable(s) to hold property value(s)
Private mvarFreezeFlag As Boolean 'local copy

Public Property Let FreezeFlag(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FreezeFlag = 5
    mvarFreezeFlag = vData
End Property

Public Property Get FreezeFlag() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FreezeFlag
    FreezeFlag = mvarFreezeFlag
End Property

Public Function ShowObjectImage(rs As ADODB.Recordset, aImage As Image) As Boolean
Dim rs1 As ADODB.Recordset

On Error GoTo ShowObjectImageErr

 'display picture if appropriate
  If Not FreezeFlag Then
    aImage.Picture = LoadPicture()
    If (rs!Gen_id <> rs!Obj_id) Then
      If rs!Gen_id = IMAGE_ID Then
        aImage.Stretch = False
'        aImage.Picture = LoadPicture(ObjectImageDir & Trim(rs!Obj_id) & ".jpg")
        aImage.Picture = LoadPicture(ObjectImageDir & Int(rs!Obj_id / 1000) & "\" & rs!Obj_id & ".bmp")
      Else
        GetAllObjectsRelatedToObject1_Object2 rs!Obj_id, IMAGE_ID, rs1
        If Not rs1.EOF Then
'          aImage.Picture = LoadPicture(ObjectImageDir & Trim(rs1!Obj_id) & ".jpg")
          aImage.Picture = LoadPicture(ObjectImageDir & Int(rs1!Obj_id / 1000) & "\" & rs1!Obj_id & ".bmp")
        End If
        rs1.Close
      End If
    End If
  End If
  
ShowObjectImageErr:
  If Err <> 0 Then WriteLog
End Function

Public Function SaveImage(rs As ADODB.Recordset, aImage As Image) As Boolean
  SavePicture aImage.Picture, ObjectImageDir & Int(rs!Obj_id / 1000) & "\" & rs!Obj_id & ".bmp"
End Function

Private Sub Class_Initialize()
  ObjectImageDir = App.Path & "\Images\"
  NodeImageDir = App.Path & "\ImagesGen\"
End Sub

Public Function GetNodeImage(Gen_id As Integer, Direction As String, ImageName As String) As Boolean
'  ImageName = Direction & Gen_id
  ImageName = Direction & "1"
End Function

Public Function ZoomImage(aImage As Image, ZoomSize As Integer) As Boolean
  aImage.Stretch = True
  aImage.Height = aImage.Height * (100 + ZoomSize) / 100#
  aImage.Width = aImage.Width * (100 + ZoomSize) / 100#
End Function

Public Function LoadGenImages(rs As ADODB.Recordset, IconList As ImageList) As Boolean
  
'  rs.MoveFirst
'  Do While Not rs.EOF
'    IconList.ListImages.Add , "D" & rs!Obj_id, LoadPicture(NodeImageDir & "D" & rs!Obj_id & ".gif")
'    IconList.ListImages.Add , "U" & rs!Obj_id, LoadPicture(NodeImageDir & "U" & rs!Obj_id & ".gif")
'    IconList.ListImages.Add , "B" & rs!Obj_id, LoadPicture(NodeImageDir & "B" & rs!Obj_id & ".gif")
'    rs.MoveNext
'  Loop

    IconList.ListImages.Add , "D1", LoadPicture(NodeImageDir & "D1.gif")
    IconList.ListImages.Add , "U1", LoadPicture(NodeImageDir & "U1.gif")
    IconList.ListImages.Add , "B1", LoadPicture(NodeImageDir & "B1.gif")


End Function
